package cn.iocoder.yudao.module.system.controller.admin.laborcontract.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

@Schema(description = "管理后台 - 劳动合同管理 Response VO")
@Data
public class SigningDateRespVO {

    @Schema(description = "签约日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private String signingDate;

    @Schema(description = "转正日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private String regularDate;
}
