package cn.iocoder.yudao.module.smartfactory.controller.admin.factorypackingline.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 打包线配置新增/修改 Request VO")
@Data
public class FactoryPackingLineSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "21099")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "24676")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "打包线名称", example = "王五")
    private String name;

    @Schema(description = "是否公司承接 0否 1是", example = "2")
    private Integer type;

    @Schema(description = "窑炉id", example = "15240")
    private Long kilnId;

}