package cn.iocoder.yudao.module.system.controller.admin.commonlyused.vo;

import cn.iocoder.yudao.module.bpm.api.model.vo.BpmModelRpcVO;
import cn.iocoder.yudao.module.system.controller.admin.auth.vo.AuthPermissionInfoRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class CommonlyUsedVO {

    @Schema(description = "用户常用应用配置")
    private List<CommonlyUsedRespVO> commonlyUsedRespVOS;

    @Schema(description = "菜单树形列表")
    private List<AuthPermissionInfoRespVO.MenuVO> menus;

    @Schema(description = "流程列表")
    private List<BpmModelRpcVO> modelList;

}
