package cn.iocoder.yudao.module.system.controller.admin.laborcontract.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 功能描述 用于给日志附件同用的上传文件对象
 */
@Data
public class UploadFile {

    @Schema(description = "文件管理 fileId", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private String  fileId;

    @Schema(description = "文件名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "123.jpg")
    private String fileName;

    @Schema(description = "文件URL", requiredMode = Schema.RequiredMode.REQUIRED, example = "http://xxx.xxx/xx/xx/123.jpgss")
    private String  url;

    @Schema(description = "文件类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "jpg")
    private String fileType;
}
