package cn.iocoder.yudao.module.smartfactory.dal.mysql.screendata;

import cn.iocoder.yudao.module.smartfactory.controller.admin.screendata.factory.vo.AssetsStockVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 艾楷
 */
@Mapper
public interface ScreenDataMapper {
    /**
     * 根工厂ids和资产类型id获取工厂资产数量
     *
     * @param factoryIds
     * @param typeIds
     * @return
     */
    List<AssetsStockVO> getAssetsNumByFactoryIdAndTypeIds(@Param("factoryIds") List<Long> factoryIds, @Param("typeIds") List<Long> typeIds);
}
